# Class TCLIService.AsyncProcessor.GetOperationStatus<I extends TCLIService.AsyncIface>

java.lang.Object
org.apache.thrift.AsyncProcessFunction<I,TCLIService.GetOperationStatus_args,TGetOperationStatusResp>
com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncProcessor.GetOperationStatus<I>

Enclosing class:
  `TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface>`

public static class TCLIService.AsyncProcessor.GetOperationStatus<I extends TCLIService.AsyncIface> extends org.apache.thrift.AsyncProcessFunction<I,TCLIService.GetOperationStatus_args,TGetOperationStatusResp>

## Constructor Summary

Constructors
Constructor
Description
`GetOperationStatus()`

## Method Summary

Modifier and Type
Method
Description
`TCLIService.GetOperationStatus_args`
`getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp>`
`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean`
`isOneway()`
`void`
`start(I iface, TCLIService.GetOperationStatus_args args, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetOperationStatus

public GetOperationStatus()

## Method Details

### getEmptyArgsInstance

public TCLIService.GetOperationStatus_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.GetOperationStatus_args,TGetOperationStatusResp>`

### getResultHandler

public org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.GetOperationStatus_args,TGetOperationStatusResp>`

### isOneway

protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.GetOperationStatus_args,TGetOperationStatusResp>`

### start

public void start(I iface, TCLIService.GetOperationStatus_args args, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.GetOperationStatus_args,TGetOperationStatusResp>`
Throws:
  `org.apache.thrift.TException`